Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.instantmessagingserver
Class InstantMessagingServerManagerImpl

    java.lang.Object
      com.atlassian.bamboo.instantmessagingserver.InstantMessagingServerManagerImpl

All Implemented Interfaces:
  InstantMessagingServerManager

    public class InstantMessagingServerManagerImpl

extends Object
implements InstantMessagingServerManager

Constructor Summary
`InstantMessagingServerManagerImpl()`

Method Summary
`Collection` | `getAllInstantMessagingServers()` Returns all `InstantMessagingServerDefinition` objects
`InstantMessagingServerDefinition` | `getInstantMessagingServer(long instantMessagingServerId)` Returns the `InstantMessagingServerDefinition` that matches the passed id
`void` | `removeInstantMessagingServer(long instantMessagingServerId)` Removes the `InstantMessagingServerDefinition` with the matching id
`void` | `saveInstantMessagingServer(InstantMessagingServerDefinition instantMessagingServer)` Stores the `InstantMessagingServerDefinition`.
`void` | `sendMessage(InstantMessagingServerDefinition server, Set recipients, String message)` Deprecated. Use `BambooSmackClient.send(Message)` instead
`void` | `setInstantMessagingServerDao(InstantMessagingServerDao instantMessagingServerDao)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstantMessagingServerManagerImpl

    public InstantMessagingServerManagerImpl()

Method Detail

### getAllInstantMessagingServers

    public Collection getAllInstantMessagingServers()

  Description copied from interface: `InstantMessagingServerManager`
  Returns all `InstantMessagingServerDefinition` objects

  Specified by:
    `getAllInstantMessagingServers` in interface `InstantMessagingServerManager`
  Returns:
    An unmodifiable collection of `InstantMessagingServerDefinition` objects, `Collections.EMPTY_LIST` if none exists.

### saveInstantMessagingServer

    public void saveInstantMessagingServer(InstantMessagingServerDefinition instantMessagingServer)

  Description copied from interface: `InstantMessagingServerManager`
  Stores the `InstantMessagingServerDefinition`.

  Specified by:
    `saveInstantMessagingServer` in interface `InstantMessagingServerManager`
  Parameters:
    `instantMessagingServer` - - Must not be null

### getInstantMessagingServer

    public InstantMessagingServerDefinition getInstantMessagingServer(long instantMessagingServerId)

  Description copied from interface: `InstantMessagingServerManager`
  Returns the `InstantMessagingServerDefinition` that matches the passed id

  Specified by:
    `getInstantMessagingServer` in interface `InstantMessagingServerManager`
  Returns:
    Matching `InstantMessagingServerDefinition` object. Null if the server does not exist

### removeInstantMessagingServer

    public void removeInstantMessagingServer(long instantMessagingServerId)

  Description copied from interface: `InstantMessagingServerManager`
  Removes the `InstantMessagingServerDefinition` with the matching id

  Specified by:
    `removeInstantMessagingServer` in interface `InstantMessagingServerManager`

### sendMessage

    public void sendMessage(InstantMessagingServerDefinition server,
                            Set recipients,
                            String message)
                     throws XMPPException

  Deprecated. Use `BambooSmackClient.send(Message)` instead

  Description copied from interface: `InstantMessagingServerManager`
  Sends a test message

  Specified by:
    `sendMessage` in interface `InstantMessagingServerManager`
  Parameters:
    `server` -
    `recipients` -
    `message` -
  Throws:
    `XMPPException`

### setInstantMessagingServerDao

    public void setInstantMessagingServerDao(InstantMessagingServerDao instantMessagingServerDao)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.